OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKIGES
IGESAppli

# IGESAppli_ReferenceDesignator Class Reference

defines ReferenceDesignator, Type <406> Form <7>
in package IGESAppli
Used to attach a text string containing the value of
a component reference designator to an entity being
used to represent a component.

`#include <IGESAppli_ReferenceDesignator.hxx>`

Inheritance diagram for IGESAppli_ReferenceDesignator:

[legend]

## Public Member Functions
Standard_EXPORT | IGESAppli_ReferenceDesignator ()
Standard_EXPORT void | Init (const Standard_Integer nbPropVal, const Handle(TCollection_HAsciiString)&aText)
| This method is used to set the fields of the class ReferenceDesignator - nbPropVal : Number of property values = 1 - aText : Reference designator text .
Standard_EXPORT Standard_Integer | NbPropertyValues () const
| returns the number of property values is always 1
Standard_EXPORT Handle_TCollection_HAsciiString | RefDesignatorText () const
| returns the Reference designator text
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Standard_Integer | theNbPropertyValues
Handle_TCollection_HAsciiString | theRefDesigText

## Constructor & Destructor Documentation

Standard_EXPORT IGESAppli_ReferenceDesignator::IGESAppli_ReferenceDesignator | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const IGESAppli_ReferenceDesignator::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IGESData_IGESEntity.

Standard_EXPORT void IGESAppli_ReferenceDesignator::Init | ( | const Standard_Integer | nbPropVal,
|  | const Handle(TCollection_HAsciiString)& | aText
| ) |

Standard_EXPORT Standard_Integer IGESAppli_ReferenceDesignator::NbPropertyValues | ( |  | ) | const

Standard_EXPORT Handle_TCollection_HAsciiString IGESAppli_ReferenceDesignator::RefDesignatorText | ( |  | ) | const

## Field Documentation

Standard_Integer IGESAppli_ReferenceDesignator::theNbPropertyValues`[private]`

Handle_TCollection_HAsciiString IGESAppli_ReferenceDesignator::theRefDesigText`[private]`

The documentation for this class was generated from the following file:

- IGESAppli_ReferenceDesignator.hxx